Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.mindswap.pellet
Enum KnowledgeBase.AssertionType

    java.lang.Object
      java.lang.Enum<KnowledgeBase.AssertionType>
          org.mindswap.pellet.KnowledgeBase.AssertionType

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<KnowledgeBase.AssertionType>

Enclosing class:
  KnowledgeBase

    public static enum KnowledgeBase.AssertionType

extends java.lang.Enum<KnowledgeBase.AssertionType>

Enum Constant Summary
`DATA_ROLE`
`OBJ_ROLE`
`TYPE`

Method Summary
`static KnowledgeBase.AssertionType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static KnowledgeBase.AssertionType[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### TYPE

    public static final KnowledgeBase.AssertionType TYPE

### OBJ_ROLE

    public static final KnowledgeBase.AssertionType OBJ_ROLE

### DATA_ROLE

    public static final KnowledgeBase.AssertionType DATA_ROLE

Method Detail

### values

    public static final KnowledgeBase.AssertionType[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(KnowledgeBase.AssertionType c : KnowledgeBase.AssertionType.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static KnowledgeBase.AssertionType valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2004 Evren Sirin. All Rights Reserved.